Description

/etc/foreman-proxy/settings.d/tftp.yaml has tftp_servername set always, but the logic in the foreman-proxy module looks for

ipaddress_eth0, and then if not present, ipaddress.

This totally breaks on el7/newer Fedora, where you're not guaranteed to have eth0 anymore, and if you have something like the

"docker0" interface, because then that becomes $::ipaddress. All your hosts next-server is set to the docker0 interface IP.

Why set this parameter tftp_servername at all?   Seems to work without it.

Associated revisions

Revision c762f632 - 04/16/2015 08:01 AM - Stephen Benjamin

fixes #9896 -  don't set tftp_servername by default

Revision fd1a9b8f - 04/20/2015 04:26 AM - Dominic Cleal

refs #9896 - only validate tftp_servername when set

History

#1 - 03/25/2015 10:34 AM - Stephen Benjamin

- Bugzilla link set to 1205729

#2 - 03/25/2015 10:44 AM - Dominic Cleal

Why set this parameter tftp_servername at all? Seems to work without it.

 Depends ultimately on the network layout as to whether it's needed.  The default could probably be removed though, which would work for simple

cases.

#3 - 04/17/2015 05:01 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|c762f632d4bb4045491c60d02f1b568fbeb133ab.
